# hal_helper.c File Reference

Utilities to assist changing hardware platforms. More...

`#include "hal.h"`

#define | TEST_PRINTF
int | main (void)

## Detailed Description

Utilities to assist changing hardware platforms.

We designed the ZNP library and examples to be easy to port to different hardware platforms. All interfaces to the hardware is done through one Hardware Abstraction Library (HAL) file. To change hardware platforms you need to create a HAL file for your hardware platform.

These utility methods will help you if you are changing hardware platforms by providing simple test methods for the HAL methods required by the ZNP library. You will need to supply your own hal_xxxx.c and hal_xxxx.h files, where xxxx is the name of your hardware platform. If you are changing hardware it is assumed that you are very familiar with your destination hardware platform.

There are several tests, define the one you want to run.

To change hardware platforms:

- You will need access to an oscilloscope and/or logic analyzer. Good low cost ($150) logic analyzer: www.saleae.com
- Copy and rename the hal_cc2530znp_target_board.h and .c files for your hardware.
- Include your new hal_xxxx.c file in this project, and remove the existing hal_cc2530znp_target_board.c file
- Using the schematic of your target board, update the MACROS REQUIRED FOR ZNP in the .h file and all the methods in the .c file.
- Go through the tests below in order.
- Run the basic examples: button_blink, hello_world, and reset_radio.
- Be sure that the target device is configured in your compiler correctly.
- Next, run the basic communications examples.
- We recommend you get the examples working first, and then do any optimizations, rather than the other way around.
- Refer to the TI E2E forums for support.

Rev
  600

Author
  dsmith

Date
  2010-06-16 13:08:09 -0700 (Wed, 16 Jun 2010)

YOU ACKNOWLEDGE AND AGREE THAT THE SOFTWARE AND DOCUMENTATION ARE PROVIDED “AS IS” WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION, ANY WARRANTY OF MERCHANTABILITY, TITLE, NON-INFRINGEMENT AND FITNESS FOR A PARTICULAR PURPOSE. IN NO EVENT SHALL TEXAS INSTRUMENTS OR ITS LICENSORS BE LIABLE OR OBLIGATED UNDER CONTRACT, NEGLIGENCE, STRICT LIABILITY, CONTRIBUTION, BREACH OF WARRANTY, OR OTHER LEGAL EQUITABLE THEORY ANY DIRECT OR INDIRECT DAMAGES OR EXPENSES INCLUDING BUT NOT LIMITED TO ANY INCIDENTAL, SPECIAL, INDIRECT, PUNITIVE OR CONSEQUENTIAL DAMAGES, LOST PROFITS OR LOST DATA, COST OF PROCUREMENT OF SUBSTITUTE GOODS, TECHNOLOGY, SERVICES, OR ANY CLAIMS BY THIRD PARTIES (INCLUDING BUT NOT LIMITED TO ANY DEFENSE THEREOF), OR OTHER SIMILAR COSTS.

## Function Documentation

int main | ( | void |  | ) |

Use this to verify that printf() is working.

Precondition:
  working putchar() method.

All Files Functions Variables